﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=12.2
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private xui As XUI
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Public SQL1 As SQL
	

	Private B4XConto As B4XComboBox
	Private B4XDescrizione As B4XView
	Private B4Xdestinatario As B4XComboBox
	Private B4XImporto As B4XView
	Private B4XTipo As B4XComboBox
	Private BGPanel As B4XView
	Private ButtonAdd As B4XView
	Private LTitle As B4XView
	Public SQLDataBasePath As String
	Public lblRowID As B4XView
	Dim RowID As Int
	
	Private DateTemplate As B4XDateTemplate
	Private Base As B4XView
	Private Dialog As B4XDialog
	
	Dim tye As List = Array("Entrata","Uscita","Prestito","Riscatto")
	Dim count As List = Array("Postepay","Contanti","Paypal")
	Dim people As List '= Array("","Mamma", "Nadia","Nancy","Sara","Naima")

	Private btnDatum As B4XView
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("Laggiungi")
	DateTime.DateFormat= "dd/MM/yyyy"
	btnDatum.TextColor = Colors.Black
	btnDatum.Text = $" $date{DateTime.Now}"$
	Log($" $date{DateTime.Now}"$)
	Log($" $time{DateTime.Now}"$)


	SQLDataBasePath = xui.DefaultFolder
	SQL1.Initialize(SQLDataBasePath, "miefinanze.db", True)
	If SQL1.IsInitialized = True Then
		Log("true")
	Else
		Log("False")
			
	End If

	
	Base = Activity
	Dialog.Initialize (Base)
	DateTemplate.Initialize
	DateTemplate.MinYear = 2010
	DateTemplate.MaxYear = 2100
    
	'Montag als ersten Wochentag einstellen. Sonst wäre Sonntag der erste Wochentag.
	DateTemplate.FirstDay = 1
    
	'Farben anpassen, sodass sie zum Gesamtdesign passen!
	Dialog.Title = "Wähle das Rechnungsdatum."
	Dialog.TitleBarColor = 0xFF0A0B37 'Hintergrundfarbe der Titelzeile: dunkelblau
	Dialog.TitleBarTextColor = 0xFFFFBD59
	Dialog.ButtonsColor = 0xFF0A0B37 'Hintergrundfarbe der Buttons einstellen: dunkelblau
	Dialog.ButtonsTextColor = 0xFFFFBD59 'Farbe des Buttons einstellen: Gold
	Dialog.BackgroundColor = 0xFF0A0B37 'Hintergrundfarbe der Templates einstellen: dunkelblau
	DateTemplate.SelectedColor = 0xFFFFBD59 'Goldene Farbe von Buttons und co
	DateTemplate.DaysInMonthColor = xui.Color_White 'Schriftfarbe der Monate weiß
	DateTemplate.DaysInWeekColor = xui.Color_White 'Schriftfarbe der Tage weiß
	DateTemplate.lblMonth.TextColor = xui.Color_White 'Schriftfarbe der Monatsauswahl weiß
	DateTemplate.lblYear.TextColor = xui.Color_White 'Schriftfarbe der Jahresauswahl weiß
	For Each x As B4XView In Array(DateTemplate.btnMonthLeft, DateTemplate.btnMonthRight, DateTemplate.btnYearLeft, DateTemplate.btnYearRight)
		x.Color = xui.Color_Transparent
	Next
	
ButtonAdd.Text = "Aggiungi Dati"
	Dim r As String
	people.Initialize

	Dim Cursor As Cursor
	Cursor = SQL1.ExecQuery("SELECT Nome FROM tbl_Destinatario")
	For i = 0 To Cursor.RowCount - 1
		Cursor.Position = i
		Log(Cursor.GetString("Nome"))
		people.Add(Cursor.GetString("Nome"))
	Next
	
	Log(people)

	B4XTipo.SetItems(tye)
	B4Xdestinatario.SetItems(people)
	B4XConto.SetItems(count)
'	count
	
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Private Sub ButtonAdd_Click

Log(B4XDescrizione.text)
Log(B4Xdestinatario.SelectedItem)
Dim Query As String
If B4XDescrizione.Text  = "" Then 
	ToastMessageShow("Completa tutti i campi",True)
		
'		RowID = SQL1.ExecQuerySingleResult("SELECT max(Iddest) FROM tbl_Destinatario")
'		SQL1.ExecNonQuery2("INSERT INTO tbl_Destinatario VALUES (?)", Array As String(RowID+1,""))
	Else
		
		If B4XTipo.SelectedItem = "Uscita" Or B4XTipo.SelectedItem = "Prestito" Then
			
			B4XImporto.Text = -(B4XImporto.Text)
			
		End If
		
		Dim id As Int = SQL1.ExecQuerySingleResult("SELECT count(idmov) FROM tbl_movimenti")
	Log(id)
	
	If id = 0 Then
		
			RowID = 1
			
	Else
				
		
		RowID = SQL1.ExecQuerySingleResult("SELECT max(idmov) FROM tbl_movimenti")
		
		RowID = RowID +1

		Log(RowID)
	End If

		SQL1.ExecNonQuery2("INSERT INTO tbl_movimenti VALUES (?,?,?,?, ?, ?,?)", Array As String(RowID,btnDatum.Text & " " & $" $time{DateTime.Now}"$,B4XTipo.SelectedItem,B4Xdestinatario.SelectedItem,B4XDescrizione.Text, B4XConto.SelectedItem,B4XImporto.Text))

	
		ToastMessageShow("Record inserito",False)
		
		
		B4XDescrizione.Text = ""
		B4XImporto.Text = ""
		
		
		
	End If


	'CalcolaDebiti
End Sub




Private Sub btnDatum_Click
	'only CANCEL needed
	Wait For (Dialog.ShowTemplate(DateTemplate, "", "", "Abbrechen")) Complete (Result As Int)
	If Result = xui.DialogResponse_Positive Then
		btnDatum.Text = DateTime.Date(DateTemplate.Date)
	End If
End Sub


